# Terminal Configuration

## terminfo

Enable italic and bold text in `xterm-256color`, `screen-256color`, and
`tmux-256color` using user [terminfo][terminfo] database compiler [tic][tic].

* `sitm` enter italics mode, set to `\E[3m` which enables italics
* `ritm` exit italics mode, set to `\E[23m` which disables italics
* `smso` enter standout mode, set to `\E[7m` which enables bold
* `rmso` exit standout mode, set to `\E[27m` which disabled bold

To compile a [terminfo][terminfo] database for the current user, output
`~/.terminfo` use the following command.

```
$ tic xterm-256color.terminfo
```

[terminfo]: https://linux.die.net/man/5/terminfo
[tic]: https://linux.die.net/man/1/tic
